Cyberduck Mountain Duck CLI

#8674 closed defect (worksforme)

Invalid metadata sent when overwriting file

Reported by: chris derham Owned by: dkocher
Priority: normal Milestone: 4.7.3
Component: azure Version: 4.7
Severity: normal Keywords:
Cc: rasmus@… Architecture:
Platform: Mac OS X 10.10

Description

I upload a file to azure. Some days later, I make a change locally, and upload the file via cyberduck. It pops up saying "already exists, overwrite?" and I say yes. All completes and looks like all ok, but the file contents are not actually updated. Happy to provide extra details, screenshots, log files. Please let me know how I can help to resolve this.

Change History (13)

comment:1 Changed on Mar 22, 2015 at 6:42:24 PM by dkocher

  • Milestone set to 4.7
  • Owner changed from yla to dkocher
  • Status changed from new to assigned
  • Summary changed from Upload an updated file to azure server, and the file is not updated - gui says all ok to Overwriting file does not replace content

Please post the transcript from the log drawer of the Transfers window. Choose ⌘-L on Mac or right-click the toolbar from the Transfers window and choose Log on Windows.

comment:2 Changed on Mar 23, 2015 at 12:23:58 PM by chris derham

I understand that the log window does not work for azure blob storage transfers. The log drawer is therefore blank. Is there another way to obtain logs?

comment:3 Changed on Mar 31, 2015 at 10:09:12 AM by dkocher

Fixed missing error reporting for failure closing output stream and thus committing blob in r17183.

comment:4 Changed on Mar 31, 2015 at 10:13:11 AM by dkocher

  • Summary changed from Overwriting file does not replace content to Invalid metadata sent when overwriting file

The actual error is

The metadata specified is invalid. It has characters that are not permitted.

comment:5 Changed on Mar 31, 2015 at 10:17:57 AM by dkocher

Regression from r16474.

comment:6 Changed on Mar 31, 2015 at 10:23:22 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fix and test in r17188.

comment:7 Changed on Sep 7, 2015 at 11:32:36 AM by rca

  • Cc rasmus@… added
  • Platform set to Mac OS X 10.10
  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 4.6.5 to 4.7

I have used the hidden setting in Terminal.app:

defaults write ch.sudo.cyberduck azure.metadata.default "Cache-Control=public,max-age=1"

to set custom Cache-Control to "1" on our Azure server. When I upload a file, everything is good and the Cache-Control metadata is set correctly. But when i try and overwrite the file, the Cache-Control metadata gets changed to the same metadata value that is in the Content-Type field.

I have made quick YouTube video to demonstrate this: https://youtu.be/Id3ttnRVIQA

Last edited on Sep 7, 2015 at 12:27:44 PM by dkocher (previous) (diff)

comment:8 follow-up: Changed on Sep 7, 2015 at 12:27:11 PM by dkocher

Can you reproduce this issue with the latest snapshot build available?

comment:9 in reply to: ↑ 8 Changed on Sep 7, 2015 at 1:00:31 PM by rca

Yes, unfortunately :/
https://youtu.be/Zsa6kPchS7M

Replying to dkocher:

Can you reproduce this issue with the latest snapshot build available?

comment:10 Changed on Sep 7, 2015 at 1:24:22 PM by dkocher

  • Milestone changed from 4.7 to 4.8
  • Status changed from reopened to new

comment:11 Changed on Sep 24, 2015 at 3:45:14 PM by dkocher

See also #8679.

comment:12 Changed on Oct 16, 2015 at 8:52:08 AM by dkocher

Updated upstream dependency in r18366.

comment:13 Changed on Oct 16, 2015 at 9:05:59 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Please update to the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software